[apport] vlc crashed with SIGSEGV in PS demuxer, in ps_pkt_read ()

Bug #107899 reported by Brian Murray on 2007-04-20
2
Affects Status Importance Assigned to Milestone
vlc (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: vlc

I was trying to play a VCD and nothing was happening so I tried to play it again when vlc crashed.

ProblemType: Crash
Architecture: amd64
Date: Thu Apr 19 17:25:04 2007
DistroRelease: Ubuntu 7.04
ExecutablePath: /usr/bin/vlc
Package: vlc-nox 0.8.6.release-0ubuntu4
PackageArchitecture: amd64
ProcCmdline: vlc
ProcCwd: /home/bdmurray/videos
ProcEnviron:
 SHELL=/bin/bash
 PATH=/home/bdmurray/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
Signal: 11
SourcePackage: vlc
StacktraceTop:
 ?? () from /usr/lib/vlc/demux/libps_plugin.so
 ?? () from /usr/lib/vlc/demux/libps_plugin.so
 ?? () from /usr/lib/libvlc.so.0
 ?? () from /usr/lib/libvlc.so.0
 start_thread () from /lib/libpthread.so.0
Uname: Linux batman 2.6.20-15-generic #2 SMP Sun Apr 15 06:17:24 UTC 2007 x86_64 GNU/Linux
UserGroups: adm admin audio cdrom dialout dip floppy lpadmin netdev plugdev powerdev scanner video

CVE References

Brian Murray (brian-murray) wrote :

StacktraceTop:ps_pkt_read () from /usr/lib/vlc/demux/libps_plugin.so
Demux () from /usr/lib/vlc/demux/libps_plugin.so
MainLoop () from /usr/lib/libvlc.so.0
Run () from /usr/lib/libvlc.so.0
start_thread () from /lib/libpthread.so.0

Changed in vlc:
importance: Undecided → Medium
Changed in vlc:
status: Unconfirmed → Confirmed
Launchpad Janitor (janitor) wrote :
Download full text (4.7 KiB)

This bug was fixed in the package vlc - 0.9.2-1ubuntu1

---------------
vlc (0.9.2-1ubuntu1) intrepid; urgency=low

  * New Upstream Release, exception granted by
      - dktrkranz, norsetto, Hobbsee (via irc). LP: #270404

  Changes done in ubuntu:

  * add libxul-dev to build-depends
  * make sure that vlc is build against libxul in configure. This doesn't
    change anything in the package, but makes it more robust if building
    in an 'unclean' chroot or when modifying the package.
  * debian/control: make Vcs-* fields point to the motumedia branch
  * add libx264-dev and libass-dev to build-depends
    LP: #210354, #199870
  * actually enable libass support by passing --enable-libass to configure
  * enable libdca: add libdca-dev to build depends and --enable-libdca
  * install the x264 plugin.

  Changes already in the pkg-multimedia branch in debian:

  * don't install usr/share/vlc/mozilla in debian/mozilla-plugin-vlc.install
  * new upstream .desktop file now registers flash video mimetype LP: #261567
  * add Xb-Npp-Applications to mozilla-plugin-vlc
  * remove duplicate entries in debian/vlc-nox.install

vlc (0.9.2-1) experimental; urgency=low

  [ Christophe Mutricy ]
  * New upstream release
    + Soname changed
    + Bugs fixed upstream: Closes: #487646, #298150, #325069, #392292,
      #458004, #470903, #458004, #423121
    + new upstream fixes various crasher bugs reported in ubuntu:
      LP: #189575, #113927, #103741, #111615, #107899, #112076, #198916, 221428,
          #91679, #96978, #123589, #133528, #231621, #259025
    + plays files with '+' in its name, LP: #239431, #217305
    + New packages: libvlccore0, libvlccore-dev, vlc-plugin-pulse
     (Closes: #471069)
    + Build-depends on libswsale-dev, libshout3-dev, libxpm-dev,
      zlib1g-dev, liblua5.1-0-dev, libschroedinger-dev, libtag1-dev,
      libqt4-dev, libqt4-dev-tools and pkg-config. (Closes: #461324)
    + time display no longer incomplete, LP: #193445
    + fixed volume bar behavior, LP: #250041
    + shout support closes LP: #127594, #84098,
    + Install new modules:
      - vlc-nox: alphamask, blendbench, bluescreen, canvas, cc, cdg, chain,
        colorthres, croppadd, dynamicoverlay, erase, faad, gaussianblur, grain,
        inhibit, lua, memcpy*, mmap, osd_parser, puzzle, remoteosd, rtmp,
        schroedinger, sharpen, stats, subusf, t140, telepathy, v4l2, vmem
      - vlc: qt4
      - vlc-plugin-jack: access_jack
    + Distribute the .pc for libvlc and vlc-plugin (Closes: #289507)
    + Remove wx interface and glide plugin as they've been dropped by upstream
      LP: #205325, #88487, #90603, #150380
    + The Python and java bindings are no longer part of the upstream tarballs
      (Closes: #469011)
    + Temporarly disable libdca module until a pkg with the new
      API get in unstable
    + Delete or refresh patches
    + New patches:
        - 052_as-needed taken from bug #347650 to teach libtool about
          -Wl,--as-needed
  * Install the skins DTD and the default skins it's only 113kB
  * Improve watch file
  * Add a vlc-data package for /usr/share (13 MB)
  * Add a vlc-dbg package (Closes: #491564)
  * Sort vlc.install and vlc-nox.inst...

Read more...

Changed in vlc:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers